Subject: Do you like being a Landscape Architect?

From: [email-masked] (MaddyCan2)
Date: 9 Jan 1995 01:49:14 -0500

I am a health care professional who has decided to change my career. 
After doing a lot of soul-searching and research I've decided that
Landscape Architecture would be a career that I could do well in and
enjoy.  Lately I have been getting mixed messages from some of the
contacts that I have in the field.  One L.A. in particular is very
disillusioned with the field and seems to regret having gone to school for
this.  Is the competition that fierce?  I would like to hear any comments
that anyone might have.  Also-any comments on Temple's program?(Ambler,
PA)